# ConcurrencyGroupsService | windmill-client
Documentation for windmill-client

# Class ConcurrencyGroupsService

- Defined in src/services.gen.ts:6727

#####
Index

### Constructors

constructor

### Methods

deleteConcurrencyGroup
getConcurrencyKey
listConcurrencyGroups
listExtendedJobs

##
Constructors

### constructor

- new ConcurrencyGroupsService(): ConcurrencyGroupsService

- #### Returns ConcurrencyGroupsService

##
Methods

### `Static` deleteConcurrencyGroup

- deleteConcurrencyGroup(data): CancelablePromise <unknown>

- Delete concurrency group

  #### Parameters

  - data: DeleteConcurrencyGroupData

    The data for the request.

  #### Returns CancelablePromise <unknown>

  unknown concurrency group removed

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:6747

### `Static` getConcurrencyKey

- getConcurrencyKey(data): CancelablePromise <string>

- Get the concurrency key for a job that has concurrency limits enabled

  #### Parameters

  - data: GetConcurrencyKeyData

    The data for the request.

  #### Returns CancelablePromise <string>

  string concurrency key for given job

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:6764

### `Static` listConcurrencyGroups

- listConcurrencyGroups(): CancelablePromise < ListConcurrencyGroupsResponse >

- List all concurrency groups

  #### Returns CancelablePromise < ListConcurrencyGroupsResponse >

  ConcurrencyGroup all concurrency groups

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:6733

### `Static` listExtendedJobs

- listExtendedJobs(data): CancelablePromise < ExtendedJobs >

- Get intervals of job runtime concurrency

  #### Parameters

  - data: ListExtendedJobsData

    The data for the request.

  #### Returns CancelablePromise < ExtendedJobs >

  ExtendedJobs time

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:6808